| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::FindDuplicatesAlbumItem Class Reference
Inheritance diagram for Digikam::FindDuplicatesAlbumItem:

## Public Types
enum | Column { REFERENCE_IMAGE = 0 , REFERENCE_DATE , REFERENCE_ALBUM , RESULT_COUNT , AVG_SIMILARITY , NUMBER_COLUMNS }

## Public Member Functions
| FindDuplicatesAlbumItem (QTreeWidget *const parent, SAlbum *const album)
SAlbum * | album () const
void | calculateInfos (const QList< qlonglong > &deletedImages=QList< qlonglong >())
| Calculates the duplicates count and average similarity.
QList< ItemInfo > | duplicatedItems ()
bool | hasValidThumbnail () const
int | itemCount () const
bool | operator< (const QTreeWidgetItem &other) const override
QUrl | refUrl () const
void | setThumb (const QPixmap &pix, bool hasThumb=true)
void | waitForCalculate ()
| Waits until calculateInfos() is finished.

## Member Function Documentation

## ◆ itemCount()

int Digikam::FindDuplicatesAlbumItem::itemCount | ( |  | ) | const

Returns
  The item count.